package com.copy.trade.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.copy.trade.entity.po.Position;
import com.baomidou.mybatisplus.extension.service.IService;
import com.copy.trade.entity.vo.FollowOrderVo;

/**
 * <p>
 * 跟单持仓表 服务类
 * </p>
 *
 * @author wz
 * @since 2022-11-17
 */
public interface IPositionService extends IService<Position> {

    Page<FollowOrderVo> currentFollow(Long customerId, Page page);

    Page<FollowOrderVo> historyFollow(Long customerId, Page page);

    Page<FollowOrderVo> lead(Long traderId, Page page,String type);
    
    BigDecimal selectDividendFee(Position position);
    
    BigDecimal selectStudentProfit(Position position) ;
    
    Integer getPositionCount(Long traderId);
    
    Integer getPositionCountForTeacherOrStudent(Long traderId,Long customerId);
    
}
